#ifndef _DOOR_H
#define _DOOR_H

#include "world_entity.h"


class TiXmlElement;


class Door : public WorldEntity
{
  public:
    Door ();
    Door(const TiXmlElement* root);
    virtual ~Door ();

    void init();
    virtual void loadParams(const TiXmlElement* root);

    void setAnim(int animationIndex, int animPlaybackMode);

    virtual void tick (float time);

  private:
    bool checkOpen();

  private:
    bool           bOpen;             //!< true if the door is open

};

#endif /* _DOOR_H */
